#ifndef DOS_H
#define DOS_H

#include <stdio.h>

typedef FILE *BPTR;

#define MODE_OLDFILE	"r"
#define MODE_NEWFILE	"w"
#define Open(file,mode)	fopen(file,mode)
#define Close(f)	fclose(f)
#define Read(f,buf,len)	fread(buf, 1, len, f)
#define Write(f,buf,len) fwrite(buf, 1, len, f)
#define OFFSET_BEGINNING SEEK_SET
#define OFFSET_CURRENT	SEEK_CUR
#define OFFSET_END	SEEK_END
#define Seek(f,where,how) fseek(f, where, how)

#endif	/* DOS_H */
