typedef unsigned char pixel;
typedef unsigned char boolean;
#ifndef TRUE
# define TRUE 1
# define FALSE 0
#endif

extern struct gifscreen {
	int	Width;
	int	Height;
	int	Colors;
	int	ColorResolution;
	int	Background;
	int	AspectRatio;
	int	Interlace;
} GifScreen;

#define MAXCOLORMAPSIZE 	256

#define CM_RED		0
#define CM_GREEN	1
#define CM_BLUE 	2

/* writer's accumulated colormap */
extern pixel MainColorMap[3][MAXCOLORMAPSIZE];
extern int colorsinmainmap;

#define Fprintf (void) fprintf

extern boolean fopen_gif_file(const char *filename, const char *type);
extern boolean write_gif_line(pixel *pixels);
extern int fclose_gif_file();
